## GimpImageComboBox GimpImageComboBox |

## Functions

gboolean | (*GimpImageConstraintFunc) ()
GtkWidget * | gimp_image_combo_box_new ()

## Types and Values

| GimpImageComboBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkComboBox
                                ╰── GimpIntComboBox
                                    ╰── GimpImageComboBox

## Implemented Interfaces

GimpImageComboBox implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Description

## Functions

### GimpImageConstraintFunc ()

    gboolean
    (*GimpImageConstraintFunc) (gint32 image_id,
                                gpointer data);

### gimp_image_combo_box_new ()

    GtkWidget *
    gimp_image_combo_box_new (GimpImageConstraintFunc constraint,
                              gpointer data);

Since: GIMP 2.2

## Types and Values

### GimpImageComboBox

    typedef struct _GimpImageComboBox GimpImageComboBox;